Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225985 - Merge Review: libaio
Summary: Merge Review: libaio
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libaio
Version: 23
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:18 UTC by Nobody's working on this, feel free to take it
Modified: 2016-12-20 11:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 11:58:00 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:18:20 UTC
Fedora Merge Review: libaio

http://cvs.fedora.redhat.com/viewcvs/devel/libaio/
Initial Owner: jmoyer@redhat.com

Comment 1 Patrice Dumas 2007-11-14 21:35:29 UTC
This package is far from following the guidelines. In my 
opinion the first thing to do would be to find a proper 
hosting, this would also simplify the life of other
distro maintainers. Unless I'm wrong this has already
been done by other packagers, there is a hosting at 
fedoraproject if you like it.

Comment 2 Jeff Moyer 2007-11-14 21:50:37 UTC
The source is available via anonymous CVS on rhlinux.redhat.com:

cvs -d :pserver:anonymous@rhlinux.redhat.com:/usr/local/CVS login
(no password)
cvs -d :pserver:anonymous@rhlinux.redhat.com:/usr/local/CVS co libaio


Comment 3 Patrice Dumas 2007-11-14 22:23:41 UTC
Ok, then you should use the relevant part in
http://fedoraproject.org/wiki/Packaging/SourceURL

Comment 4 Eric Sandeen 2010-01-06 17:12:47 UTC
So just as a drive-by partial review, for fedora at least:

rpmlint -i libaio-0.3.107-9.1.fc13.src.rpm 
libaio.src: W: no-url-tag
The URL tag is missing.

It'd be great to have:

URL: http://git.kernel.org/?p=libs/libaio/libaio.git

in there (or whatever the appropriate starting-point for folks looking for libaio might be...)

Also, for releases that have a tarball under http://kernel.org/pub/linux/libs/aio/, please change to:

Source: http://kernel.org/pub/linux/libs/aio/%{name}-%{version}.tar.gz

libaio.src:33: W: setup-not-quiet
Use the -q option to the %setup macro to avoid useless build output from
unpacking the sources.

I guess it wants "-q" ;)

libaio.src:233: W: macro-in-%changelog %files
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

This is due to:

* Sat Apr 12 2002 Benjamin LaHaise <bcrl@redhat.com>
- add /lib/libredhat-kernel* to %files.

which is trivial to fix.

libaio.src: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 55)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

ok that's just a nitpick.

As for the built binaries:

# rpmlint -i /root/rpmbuild/RPMS/x86_64/libaio-0.3.107-9.1.fc12.x86_64.rpm
libaio.x86_64: W: no-url-tag
The URL tag is missing.

same as above

libaio.x86_64: E: shared-lib-without-dependency-information /lib64/libaio.so.1.0.0
libaio.x86_64: E: shared-lib-without-dependency-information /lib64/libaio.so.1.0.1
1 packages and 0 specfiles checked; 2 errors, 1 warnings.

this is because src/Makefile has -nostdlib -nostartfiles - I'm not sure what the point of that is...

# rpmlint -i /root/rpmbuild/RPMS/x86_64/libaio-devel-0.3.107-9.1.fc12.x86_64.rpm
libaio-devel.x86_64: W: no-version-dependency-on libaio/libaio-libs/liblibaio 0.3.107
libaio-devel.x86_64: W: no-url-tag
The URL tag is missing.

same as above.

libaio-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

*shrug*

1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 5 Eric Sandeen 2010-01-06 17:26:45 UTC
One "Must" tidbit:

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}  [23]

https://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage

You just have:

%package devel
Summary: Development files for Linux-native asynchronous I/O access
Group: Development/System
Requires: libaio

without the version & release.

Comment 6 Thomas Spura 2010-07-19 00:10:59 UTC
Ping, any progress here?

Comment 7 Cole Robinson 2015-02-11 20:37:27 UTC
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.

Comment 8 Jan Kurik 2015-07-15 15:25:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 9 Fedora End Of Life 2016-11-24 10:19:39 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2016-12-20 11:58:00 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.